Skip to content
Fetching contributors…
Cannot retrieve contributors at this time
69 lines (43 sloc) 1.66 KB
pgxnclient 1.0.1
================
- Fixed simplejson dependency on Python 2.6 (ticket #8).
- Added 'pgxn help CMD' as synonim for 'pgxn CMD --help' (ticket #7).
- Fixed a few compatibility problems with Python 3.
pgxnclient 1.0
==============
- Extensions to load/unload from a distribution can be specified on the
command line.
- 'pgxn help --libexec' returns a single variable, possibly independent
from the client version.
pgxnclient 0.3
==============
- 'pgxn' script converted into a generic dispatcher in order to allow
additional commands to be implemented in external scripts and in any
language.
- commands accept extension names too, not only specs.
- Added 'help' command to get informations about program and commands.
pgxnclient 0.2.1
================
- Lowercase search for distributions in the API (issue #3).
- Fixed handling of zip files not containing entries for the directory.
- More informative error messages when some item is not found on PGXN.
pgxnclient 0.2
==============
- Dropped list command (use info --versions instead).
- Skip extension load/unload if the provided file is not sql.
pgxnclient 0.1a4
================
- The spec can point to a local file/directory for install
- Read the sha1 from the META.json as it may be different from the one
in the dist.json
- Run sudo in the installation phase of the install command.
pgxn.client 0.1a3
=================
- Fixed executable mode for scripts unpacked from the zip files.
- Added 'list' and 'info' commands.
pgxn.client 0.1a2
=================
- Added database connection parameters for the 'check' command.
pgxn.client 0.1a1
=================
- Fist version released on PyPI.
Something went wrong with that request. Please try again.